# -*- mode: yaml; indent-tabs-mode: nil; tab-width: 2; coding: utf-8-unix -*-
---
- name: "DEBUG: ansible-gentoo_install portage"
  debug:
    verbosity: 1
    msg: "DEBUG: ansible-gentoo_install kernel"

- name: test we are in the chroot
  shell: |
    df | grep /mnt/gentoo && exit 1

- name: install kernel sources
  portage:
    package: gentoo-sources
    state: installed

- name: install genkernel
  portage:
    package: sys-kernel/genkernel
    state: installed

- name: build kernel
  environment:
    # The install guide implies that the kernel build will get angry without
    # the locale set
    LOCALE: "{{ AGI_install_locale_default }}"
  command: genkernel --virtio all
  args:
    creates: /boot/kernel-genkernel-*


